Subject: Re: linux-next: Fixes tag needs some work in the integrity tree

From: Mimi Zohar <[email-masked]>
Date: Tue, 24 Aug 2021 08:19:18 -0400

On Tue, 2021-08-24 at 07:11 +0000, THOBY Simon wrote:
> Hi Stephen,
> 
> On 8/24/21 12:18 AM, Stephen Rothwell wrote:
> > Hi all,
> > 
> > In commit
> > 
> >   c594ea470f30 ("IMA: reject unknown hash algorithms in ima_get_hash_algo")
> > 
> > Fixes tag
> > 
> >   Fixes: 50f742dd9147 ("IMA: block writes of the security.ima xattr with
> > 
> > has these problem(s):
> > 
> >   - Subject has leading but no trailing parentheses
> >   - Subject has leading but no trailing quotes
> > 
> > Please do not split FIxes tags over more than one line.
> > 
> 
> It's my bad, I didn't check the line wrapping when I copy/pasted the tag :/
> 
> (btw checkpatch.pl doesn't detect this behavior, maybe this is something worth adding?)
> 
> Is there something I can do about it?
> I don't suppose we can fix the commit, that would break the history of linux-next
> (is it maybe acceptable considering it is a "staging area"?).
> 
> Sorry about that mistake,

Hi Simon,

Sorry, along with my other suggestions, adding the "Fixes" tag was sent
as a comment, which the mailer reformatted.   As it is the top of the
branch, I've amended the commit and pushed it out to Korg.

For future reference, "git log --pretty=fixes -1 --abbrev=12 <commit
number>"  produces the proper message.  The "--abbrev" value can be set
by defining core.abbrev=12 in the git config.

thanks,

Mimi